> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get an overview of recent calls

GET https://api.contentful.com/spaces/{space_id}/webhooks/{webhook_id}/calls

Reference: https://contentful.com/developers/docs/references/content-management-api/webhook-calls/get-an-overview-of-recent-calls

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the space in form of a string
- `webhook_id` (string, required) — ID of the webhook in form of a string

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "items": [
    {
      "errors": [],
      "eventType": "publish",
      "requestAt": "2026-01-13T05:00:24.000Z",
      "responseAt": "2026-01-13T05:00:24.346Z",
      "statusCode": 200,
      "sys": {
        "createdAt": "2025-05-10T04:15:49.000Z",
        "createdBy": {
          "sys": {
            "id": "foobar",
            "linkType": "WebhookDefinition",
            "type": "Link"
          }
        },
        "id": "bar",
        "space": {
          "sys": {
            "id": "yadj1kx9rmg0",
            "linkType": "Space",
            "type": "Link"
          }
        },
        "type": "WebhookCallOverview"
      },
      "url": "https://webhooks.example.com/endpoint"
    }
  ],
  "limit": 100,
  "skip": 0,
  "sys": {
    "type": "Array"
  },
  "total": 1
}
```

**SDK Code**

```android Android
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

// First: Fetch a webhook.
client
    .webhooks()
    .async()
    .fetchOne(
        "<space_id>",
        "<webhook_id>",
        new CMACallback<CMAWebhook>() {
          @Override protected void onSuccess(CMAWebhook webhook) {
            // Next: Fetch all the calls.
            client
                .webhooks()
                .async()
                .calls(
                    webhook,
                    new CMACallback<CMAArray<CMAWebhookCall>>() {
                      @Override
                      protected void onSuccess(CMAArray<CMAWebhookCall> result) {
                        // All calls are given as a parameter in this method.
                        new AlertDialog.Builder(context)
                            .setTitle("Contentful")
                            .setMessage("Fetching the webhook calls was successful." +
                                "\n\nResult: " + result.getItems())
                            .show();
                      }

                      @Override protected void onFailure(RuntimeException exception) {
                        // An error occurred! Inform the user.
                        new AlertDialog.Builder(context)
                            .setTitle("Contentful Error")
                            .setMessage("Could not fetch that webhook calls." +
                                "\n\nReason: " + exception.toString())
                            .show();

                        super.onFailure(exception);
                      }
                    }
                );
          }

          @Override protected void onFailure(RuntimeException exception) {
            // An error occurred! Inform the user.
            new AlertDialog.Builder(context)
                .setTitle("Contentful Error")
                .setMessage("Could not fetch that webhook." +
                    "\n\nReason: " + exception.toString())
                .show();

            super.onFailure(exception);
          }
        }
    );
```

```java Java
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

// First: Fetch an webhook.
final CMAWebhook webhook =
    client
        .webhooks()
        .fetchOne(
            "<space_id>",
            "<webhook_id>");

// Next: Fetch all the calls.
final CMAArray<CMAWebhookCall> calls =
    client
        .webhooks()
        .calls(webhook);
```

```kotlin Kotlin
// Create the Contentful client.
val client = CMAClient.Builder()
    .setAccessToken("<access_token>")
    .setSpaceId("<space_id>")
    .setEnvironmentId("<environment_id>")
    .build()

// First: Fetch an webhook.
val webhook = client
        .webhooks()
        .fetchOne(
                "<space_id>",
                "<webhook_id>")

// Next: Fetch all the calls.
val calls = client
        .webhooks()
        .calls(webhook)
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

client.getSpace('<space_id>')
.then((space) => space.getWebhook('<webhook_id>'))
.then((webhook) => webhook.getCalls())
.then((response) => console.log(response.items))
.catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const webhooks = await client.webhook.getManyCallDetails({
  spaceId: '<space_id>',
  webhookDefinitionId: '<webhook_id>',
});
```

```php PHP
$client = new \Contentful\Management\Client('<content_management_api_key>');

$space = $client->getSpaceProxy('<space_id>');

$calls = $space->getWebhookCalls('<webhook_id>');

// Alternatively, from a webhook
$webhook = $space->getWebhook('<webhook_id>');
$calls = $webhook->getCalls();
```

```ruby Ruby
require 'contentful/management'

client = Contentful::Management::Client.new('<content_management_api_key>')

calls = client.webhook_calls('<space_id>', '<webhook_id>').all

# Alternatively, from a webhook
calls = webhook.webhook_calls.all
```

```python Python
from contentful_management import Client

client = Client('<content_management_api_key>')

calls = client.webhook_calls('<space_id>', '<webhook_id>').all()

# Alternatively, from a webhook
calls = webhook.calls().all()
```

```.net .NET
// This client should only be created once per application.
var httpClient = new HttpClient();

var client = new ContentfulManagementClient(httpClient, "<content_management_api_key>", "<space_id>");

var calldetails = await client.GetWebhookCallDetailsCollection("<webhook_id>");
```